WindowsTextFieldUI (JGoodies Looks 2.5 API)
Date: 2012-07-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks.windows
Class WindowsTextFieldUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.TextUI
              javax.swing.plaf.basic.BasicTextUI
                  javax.swing.plaf.basic.BasicTextFieldUI
                      com.sun.java.swing.plaf.windows.WindowsTextFieldUI
                          com.jgoodies.looks.windows.WindowsTextFieldUI

All Implemented Interfaces:
  ViewFactory

    public final class WindowsTextFieldUI

extends com.sun.java.swing.plaf.windows.WindowsTextFieldUI

The JGoodies Windows L&F implementation of `TextFieldUI`. In addition to its superclass WindowsTextFieldUI, it uses a caret that selects all text if the field gains focus after a keyboard focus traversal.

Version:
  $Revision: 1.10 $
Author:
  Karsten Lentzsch

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicTextUI
`BasicTextUI.BasicCaret, BasicTextUI.BasicHighlighter`

Constructor Summary
`WindowsTextFieldUI()`

Method Summary
`protected Caret` | `createCaret()` Creates the caret for a field.
`static ComponentUI` | `createUI(JComponent c)` Creates a UI for a JTextField.
`Dimension` | `getPreferredSize(JComponent c)` The WindowsFieldCaret requires an extra pixel width.

Methods inherited from class com.sun.java.swing.plaf.windows.WindowsTextFieldUI
`paintBackground`

Methods inherited from class javax.swing.plaf.basic.BasicTextFieldUI
`create, getBaseline, getBaselineResizeBehavior, getPropertyPrefix`

Methods inherited from class javax.swing.plaf.basic.BasicTextUI
`create, createHighlighter, createKeymap, damageRange, damageRange, getComponent, getEditorKit, getKeymapName, getMaximumSize, getMinimumSize, getNextVisualPositionFrom, getRootView, getToolTipText, getVisibleEditorRect, installDefaults, installKeyboardActions, installListeners, installUI, modelChanged, modelToView, modelToView, paint, paintSafely, propertyChange, setView, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI, update, viewToModel, viewToModel`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowsTextFieldUI

    public WindowsTextFieldUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent c)

  Creates a UI for a JTextField.

  Parameters:
    `c` - the text field
  Returns:
    the UI

### createCaret

    protected Caret createCaret()

  Creates the caret for a field.

  Overrides:
    `createCaret` in class `com.sun.java.swing.plaf.windows.WindowsTextFieldUI`
  Returns:
    the caret

### getPreferredSize

    public Dimension getPreferredSize(JComponent c)

  The WindowsFieldCaret requires an extra pixel width.

  Overrides:
    `getPreferredSize` in class `BasicTextUI`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JGoodies Karsten Lentzsch. All Rights Reserved.